package com.ruoyi.approvalFlow.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 审批流配置主对象 audit_paths
 *
 * @author ruoyi
 * @date 2021-01-21
 */
public class AuditPaths extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 审核路径ID
     */
    @Excel(name = "审核路径ID")
    private Long pathId;

    /**
     * 审核路径名称
     */
    @Excel(name = "审核路径名称")
    private String pathName;

    /**
     * 维护人id
     */
    @Excel(name = "维护人id")
    private Long opUserId;

    /**
     * 维护人
     */
    @Excel(name = "维护人")
    private String opUserName;

    /**
     * 维护时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "维护时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date opDate;

    /**
     * 承包单位id
     */
    @Excel(name = "承包单位id")
    private Long branchId;

    /**
     * N-新建；A-有效；S-停用
     */
    @Excel(name = "N-新建；A-有效；S-停用")
    private String status;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPathId(Long pathId) {
        this.pathId = pathId;
    }

    public Long getPathId() {
        return pathId;
    }

    public void setPathName(String pathName) {
        this.pathName = pathName;
    }

    public String getPathName() {
        return pathName;
    }

    public void setOpUserId(Long opUserId) {
        this.opUserId = opUserId;
    }

    public Long getOpUserId() {
        return opUserId;
    }

    public void setOpUserName(String opUserName) {
        this.opUserName = opUserName;
    }

    public String getOpUserName() {
        return opUserName;
    }

    public void setOpDate(Date opDate) {
        this.opDate = opDate;
    }

    public Date getOpDate() {
        return opDate;
    }

    public void setBranchId(Long branchId) {
        this.branchId = branchId;
    }

    public Long getBranchId() {
        return branchId;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRemarks() {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("pathId", getPathId())
                .append("pathName", getPathName())
                .append("opUserId", getOpUserId())
                .append("opUserName", getOpUserName())
                .append("opDate", getOpDate())
                .append("branchId", getBranchId())
                .append("status", getStatus())
                .append("remarks", getRemarks())
                .toString();
    }
}
